package com.ywt.outpatient.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Table
@Entity(name = "doctor_info_audit")
public class DoctorInfoAudit {
    /**
     * 主键id
     */
    @Id
    private Integer id;

    /**
     * 医生姓名
     */
    @Column(name = "name")
    private String name;

    /**
     * 医生性别
     */
    @Column(name = "sex")
    private Integer sex;

    /**
     * 医生职称
     */
    @Column(name = "title")
    private String title;

    /**
     * 医生简介
     */
    @Column(name = "brief_intro")
    private String briefIntro;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = false)
    private Date createTime;

    /**
     * 更新时间
     */
    @Column(name = "update_time")
    private Date updateTime;

    /**
     * 删除标志（0-不删除，1-删除，默认为0）
     */
    @Column(name = "deleted", nullable = false)
    private Boolean deleted;

    /**
     * 医生所在医院
     */
    @Column(name = "hospital_ids")
    private String hospitalIds;

    /**
     * 医生所在科室
     */
    @Column(name = "dept_ids")
    private String deptIds;

    /**
     * 审核状态（0-未审核，1-审核通过，2-不通过）
     */
    @Column(name = "audit_status", nullable = false)
    private Integer auditStatus;

    /**
     * 审核时间
     */
    @Column(name = "audit_time")
    private Date auditTime;

    /**
     * 审核备注
     */
    @Column(name = "audit_remark")
    private String auditRemark;

    /**
     * 医生id
     */
    @Column(name = "doctor_id", nullable = false)
    private Integer doctorId;

    /**
     * 医生头像
     */
    @Column(name = "avatar")
    private String avatar;

    /**
     * 医生擅长
     */
    @Column(name = "specialty")
    private String specialty;

    /**
     * 审核类型：0-医生资料审核，1-医生认证审核
     */
    @Column(name = "audit_type")
    private Integer auditType;


    /**
     * 医生自填的医院
     */
    @Column(name = "hospital_name")
    private String hospitalName;

    /**
     * 证件号码（身份证号码）
     */
    @Column(name = "id_certificate_no")
    private String idCertificateNo;

    /**
     * 二维码地址
     */
    @Column(name = "qr_code_url")
    private String qrCodeUrl;

    @Column(name = "identity")
    private Integer identity;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getBriefIntro() {
        return briefIntro;
    }

    public void setBriefIntro(String briefIntro) {
        this.briefIntro = briefIntro;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Boolean getDeleted() {
        return deleted;
    }

    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }

    public String getHospitalIds() {
        return hospitalIds;
    }

    public void setHospitalIds(String hospitalIds) {
        this.hospitalIds = hospitalIds;
    }

    public String getDeptIds() {
        return deptIds;
    }

    public void setDeptIds(String deptIds) {
        this.deptIds = deptIds;
    }

    public Integer getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(Integer auditStatus) {
        this.auditStatus = auditStatus;
    }

    public Date getAuditTime() {
        return auditTime;
    }

    public void setAuditTime(Date auditTime) {
        this.auditTime = auditTime;
    }

    public String getAuditRemark() {
        return auditRemark;
    }

    public void setAuditRemark(String auditRemark) {
        this.auditRemark = auditRemark;
    }

    public Integer getDoctorId() {
        return doctorId;
    }

    public void setDoctorId(Integer doctorId) {
        this.doctorId = doctorId;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getSpecialty() {
        return specialty;
    }

    public void setSpecialty(String specialty) {
        this.specialty = specialty;
    }

    public Integer getAuditType() {
        return auditType;
    }

    public void setAuditType(Integer auditType) {
        this.auditType = auditType;
    }

    public String getHospitalName() {
        return hospitalName;
    }

    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

    public String getIdCertificateNo() {
        return idCertificateNo;
    }

    public void setIdCertificateNo(String idCertificateNo) {
        this.idCertificateNo = idCertificateNo;
    }

    public String getQrCodeUrl() {
        return qrCodeUrl;
    }

    public void setQrCodeUrl(String qrCodeUrl) {
        this.qrCodeUrl = qrCodeUrl;
    }

    public Integer getIdentity() {
        return identity;
    }

    public void setIdentity(Integer identity) {
        this.identity = identity;
    }
}
